org.freedesktop.cairo

## Class Content

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.freedesktop.cairo.Content

-     public class Content
      extends org.freedesktop.bindings.Flag

  Constants to specify the colour space that will apply when creating a new Surface based on an existing one. Used when you call Surface's `createSimilar()`.
  Since:
    4.0.7
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Content` | `ALPHA` Surface will hold alpha content only.
    `static Content` | `COLOR` Surface will hold colour content only.
    `static Content` | `COLOR_ALPHA` Surface will hold full data, colour and alpha both.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALPHA

          public static final Content ALPHA

      Surface will hold alpha content only.

    - #### COLOR

          public static final Content COLOR

      Surface will hold colour content only.

    - #### COLOR_ALPHA

          public static final Content COLOR_ALPHA

      Surface will hold full data, colour and alpha both.